package com.mortals.xhx.module.staff.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.xhx.module.staff.model.StaffPerformStatEntity;
import com.mortals.xhx.module.staff.model.vo.StaffSummaryTopQuery;

import java.util.List;
/**
* 员工绩效统计Dao
* 员工绩效统计 DAO接口
*
* @author zxfei
* @date 2023-05-17
*/

public interface  StaffPerformStatDao extends ICRUDDao<StaffPerformStatEntity,Long>{

    /**
     * 按天top10
     * @param query
     * @return
     */
    List<StaffPerformStatEntity> getDaySummaryList(StaffSummaryTopQuery query);
    /**
     * 按月top10
     * @param query
     * @return
     */
    List<StaffPerformStatEntity> getMonthSummaryList(StaffSummaryTopQuery query);
    /**
     * 按年top10
     * @param query
     * @return
     */
    List<StaffPerformStatEntity> getYearSummaryList(StaffSummaryTopQuery query);
}
